@charset "UTF-8";

pc-files {
  display: block;
  position: relative;
  max-width: 100%;
  width: 100%;
  margin-top: var(--rd-spacing-md);
}

pc-files > div {
  display: flex;
  flex-direction: column-reverse;
  width: 100%;
}

pc-files[readonly] .pc_ufiles_progress,
pc-files[readonly] .uFileEntry_rightcol {
  display: none;
}

pc-files[readonly] .uFileEntry,
pc-files[readonly] .uFileDownloadLink {
  display: block;
}

pc-files[readonly] .uFileEntry {
  padding: 0px;
}

.rd-pinnwand-detail pc-files[readonly] .uFileEntry{
  width: 110%;
}

pc-files[readonly] .uFileDownloadLink {
  padding: 1em;
  margin: 0;
}

pc-files[readonly] .uFileDownloadLink::before {
  content: "";
  mask-size: contain;
  -webkit-mask-size: contain;
  mask-position: 50%;
  -webkit-mask-position: 50%;
  mask-repeat: no-repeat;
  -webkit-mask-repeat: no-repeat;
  height: 18px;
  width: 18px;
  display: inline-block;
  vertical-align: middle;
  background-color: var(--cl-asphalt-blue);
  vertical-align: middle;
  margin-right: 5px;
  mask-image: url(/src/img/svg/af/icons/pink/pencil.svg);
  -webkit-mask-image: url(/src/img/svg/download.svg);
  position: absolute;
  right: 16px;
}

pc-files[maxcount="1"] .uFileEntry {
  padding: var(--rd-spacing-md) !important;
}

.uFileEntry {
  grid-template-columns: auto 2em;
  position: relative;
  margin-bottom: var(--rd-spacing-x-sm);
  margin-top: var(--rd-spacing-x-sm);
  padding: var(--rd-spacing-sm);
  display: grid;
  grid-template-columns: auto 40px;
  gap: 1em;
  border: var(--rd-borderwidth-border-default) solid var(--cl-light-grey);
  border-radius: var(--rd-borderradius-border-md);
  background: var(--rd-font-light);

}

.uFileEntry:hover {
  border: var(--rd-borderwidth-border-default) solid var(--cl-light-grey);
}

.uFileEntry > a {
  display: block;
}

.uFileDownloadLink {
  background-repeat: no-repeat;
  background-position: left center;
  background-size: 1em auto;
  padding-left: 1.75em;
  padding: 0;
  /* padding-left: 1.75em; */
  /* background: yellow; */
  display: inline-block;
  margin-top: 4px;
  margin-bottom: var(--rd-spacing-x-sm);
  padding-left: 3px;
}

.pcx_ufiles_files .uFileDownloadLink {
padding-left: var(--rd-spacing-xxx-big) !important;
}

.uFileSize {
  display: none;
  font-size: var(--rd-fontsize-3);
  color: var(--cl-dark-grey);
}

.uFileName {
  color: var(--rd-font-dark);
  display: block;
  word-wrap: anywhere;
  font-size: var(--rd-fontsize-4);
}

.uFileEntry_rightcol {
  position: relative;
}

.uFileEntry_leftcol {
  text-align: left;
}

.uFileRemoveLink {
  background-image: url("/src/img/svg/trash-icon.svg");
  background-repeat: no-repeat;
  background-position: center;
  color: transparent;
  width: 100%;
  height: 100%;
  display: block;
  /* border: var(--rd-borderwidth-border-default) solid green; */
}

.uFileRemoveLink:hover {
  color: var(--cl-error);
}

.pc_ufiles_uploadlink {
  position: relative;
  display: block;
  height: 95px;
  border: 2px dashed var(--rd-primary-active);
  background-color: var(--cl-pale-pink);
  background-image: url(/src/img/svg/clouduploadicon.svg);
  background-repeat: no-repeat;
  background-position: center 24px;
  margin-top: var(--rd-spacing-md);
  cursor: pointer;
}

.pc_ufiles_uploadlink::after {
  content: "Dokumente hinzufügen";
  position: absolute;
  left: 0;
  bottom: 12px;
  right: 0;
  text-align: center;
  color: var(--rd-primary-active);
  font-size: var(--rd-fontsize-3);
  line-height: var(--rd-lineheights-0);
}

.pc_ufiles_progressBar {
  height: 10px;
  display: block;
  width: 100%;
  border: var(--rd-borderwidth-border-default) solid transparent;
  position: relative;
}

.pc_ufiles_progressBarInner {
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  width: 0;
  background: var(--cl-deep-green);
  border-radius: var(--rd-borderradius-border-xl);
}

.pc_ufiles_progressBarInner[style="width:100%"],
.pc_ufiles_progress:has(.pc_ufiles_progressBarInner[style="width:100%"]) {
  display: none;
}

.pc_ufiles_uploadlink {
  display: flex;
  flex-direction: column;
  justify-content: end;
}

.driver-licens-check-files .pc_ufiles_uploadlink {
  background-image: none;
  margin-top: 0;
  height: unset;
}
.driver-licens-check-files .pc_ufiles_uploadlink:after {
  display: none;
}
.driver-licens-check-files .pc_ufiles_dropzoneContent {
  padding: 32px;
}

pc-files .pc_ufiles_label {
  gap: var(--rd-spacing-xx-sm);
  display: inline-flex;
  color: var(--rd-primary-active);
  font-size: var(--rd-fontsize-2);
  font-style: normal;
  font-weight: var(--rd-fontweights-open-sans-0);
  line-height: var(--rd-lineheights-0); /* 14.52px */
  letter-spacing: 0.11px;
  margin-bottom: var(--rd-spacing-x-sm);
  align-items: center;
}
.driver-licens-check-files .pc_ufiles_label:before {
  content: "";
  background-color: var(--rd-primary-active);
  display: inline-block;
  width: 24px;
  height: 24px;
  mask-image: url("/src/img/2024/svg/icons/rd-identification.svg");
  -webkit-mask-image: url("/src/img/2024/svg/icons/rd-identification.svg");
  mask-size: contain;
  -webkit-mask-size: contain;
  mask-position: 50%;
  -webkit-mask-position: 50%;
  mask-repeat: no-repeat;
  -webkit-mask-repeat: no-repeat;
}
pc-files .pc_ufiles_formatinfo {
  color: var(--rd-input-focused);
  font-size: var(--rd-fontsize-2);
  font-style: normal;
  font-weight: var(--rd-fontweights-open-sans-2);
  line-height: var(--rd-lineheights-0); /* 14.52px */
  letter-spacing: 0.11px;
}
